Skip to content

Public (unauthenticated)

4 endpoints. Every path below is served by workspace-backend behind the gateway at https://api.trilocore.ai.

GET /api/v1/public/attestations/jwks.json

Attestation Jwks

Property Value
Authentication none — this prefix is public by design
Idempotency-Key not required
Success 200
Upstream workspace-backend
curl -X GET https://api.trilocore.ai/api/v1/public/attestations/jwks.json

POST /api/v1/public/attestations/verify

Public Verify

Property Value
Authentication none — this prefix is public by design
Idempotency-Key not required
Success 200
Upstream workspace-backend

Request body

Field Type Required Constraints
attestation_hash string yes maxLength 128
content_hash string yes maxLength 128
issued_at string yes maxLength 64
issued_by string yes maxLength 128
issuer_persona one of no
issuer_team_id one of no
prev_hash string yes maxLength 128
seq integer yes minimum 1.0
signature one of no
signing_alg one of no
signing_kid one of no
snapshot object yes
subject_audit_share_id string yes maxLength 64
workspace_id string yes maxLength 64
curl -X POST https://api.trilocore.ai/api/v1/public/attestations/verify \
  -H "Content-Type: application/json" \
  -d '{"snapshot": {}, "workspace_id": "…", "subject_audit_share_id": "…", "seq": 0}'

GET /api/v1/public/reports/link/{id}

Read Report By Token

Property Value
Authentication none — this prefix is public by design
Idempotency-Key not required
Success 200
Upstream workspace-backend
curl -X GET https://api.trilocore.ai/api/v1/public/reports/link/{id}

GET /api/v1/public/reports/{uuid}

Read Published Report

Property Value
Authentication none — this prefix is public by design
Idempotency-Key not required
Success 200
Upstream workspace-backend
curl -X GET https://api.trilocore.ai/api/v1/public/reports/{uuid}